| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LPC_FMC_T Struct Reference
CHIP: LPC11xx FLASH Memory Controller driver | CHIP: LPC13xx FLASH Memory Controller driver | CHIP: LPC8xx FLASH Memory Controller driver

## Detailed Description

FLASH Memory Controller Unit register block structure.

Definition at line 47 of file fmc_11xx.h.

`#include "fmc_11xx.h"`

## Data Fields
__I uint32_t | RESERVED1 [4]
__IO uint32_t | FLASHTIM
__I uint32_t | RESERVED2 [3]
__IO uint32_t | FMSSTART
__IO uint32_t | FMSSTOP
__I uint32_t | RESERVED3
__I uint32_t | FMSW [4]
__I uint32_t | RESERVED4 [25]
__IO uint32_t | EEMSSTART
__IO uint32_t | EEMSSTOP
__I uint32_t | EEMSSIG
__I uint32_t | RESERVED5 [974]
__I uint32_t | FMSTAT
__I uint32_t | RESERVED6
__O uint32_t | FMSTATCLR
__IO uint32_t | FLASHCFG
__I uint32_t | FMSW0

## Field Documentation

__I uint32_t EEMSSIG

Definition at line 58 of file fmc_11xx.h.

__IO uint32_t EEMSSTART

Definition at line 56 of file fmc_11xx.h.

__IO uint32_t EEMSSTOP

Definition at line 57 of file fmc_11xx.h.

__IO uint32_t FLASHCFG

Flash Configuration register

Definition at line 49 of file fmc_13xx.h.

__IO uint32_t FLASHTIM

Definition at line 49 of file fmc_11xx.h.

__IO uint32_t FMSSTART

Signature start address register

Definition at line 51 of file fmc_11xx.h.

__IO uint32_t FMSSTOP

Signature stop address register

Definition at line 52 of file fmc_11xx.h.

__I uint32_t FMSTAT

Definition at line 60 of file fmc_11xx.h.

__O uint32_t FMSTATCLR

Definition at line 62 of file fmc_11xx.h.

__I uint32_t FMSW

Definition at line 54 of file fmc_11xx.h.

__I uint32_t FMSW0

Signature word regsiter

Definition at line 54 of file fmc_8xx.h.

__I uint32_t RESERVED1

< FMC Structure

Definition at line 48 of file fmc_11xx.h.

__I uint32_t RESERVED2

Definition at line 50 of file fmc_11xx.h.

__I uint32_t RESERVED3

Definition at line 53 of file fmc_11xx.h.

__I uint32_t RESERVED4

Definition at line 55 of file fmc_11xx.h.

__I uint32_t RESERVED5

Definition at line 59 of file fmc_11xx.h.

__I uint32_t RESERVED6

Definition at line 61 of file fmc_11xx.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_11xx/fmc_11xx.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_13xx/fmc_13xx.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_8xx/fmc_8xx.h